> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Fish Model Query



## OpenAPI

````yaml /openapi/fish.json get /fish/model
openapi: 3.0.0
info:
  title: Fish music generation
  version: 1.0.0
  description: API reference for Fish music generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /fish/model:
    get:
      summary: Fish Model Query
      parameters:
        - in: query
          name: page_size
          schema:
            type: integer
            default: 10
          required: false
          description: Fish Model Param Page Size
        - in: query
          name: page_number
          schema:
            type: integer
            default: 1
          required: false
          description: Fish Model Param Page Number
        - in: query
          name: title
          schema:
            type: string
          required: false
          description: Fish Model Param Title
        - in: query
          name: tag
          schema:
            type: string
          required: false
          description: Fish Model Param Tag
        - in: query
          name: self
          schema:
            type: boolean
          required: false
          description: Fish Model Param Self
        - in: query
          name: author_id
          schema:
            type: string
          required: false
          description: Fish Model Param Author Id
        - in: query
          name: language
          schema:
            type: string
          required: false
          description: Fish Model Param Language
        - in: query
          name: title_language
          schema:
            type: string
          required: false
          description: Fish Model Param Title Language
        - in: query
          name: sort_by
          schema:
            type: string
          required: false
          description: Fish Model Param Sort By
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Fish Model Param Accept
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  total: 424123
                  items:
                    - _id: d7900c21663f485ab63ebdb7e5905036
                      title: Marcus Aurelius
                      type: tts
                      languages:
                        - en
                      tags:
                        - historical
                      visibility: public
                      state: trained
                properties:
                  total:
                    type: integer
                    description: Fish Model Response 200 Total
                  items:
                    type: array
                    description: Fish Model Response 200
                    items:
                      type: object
          description: Fish Model Response 200 2
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Model Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Fish Model Response 400 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Fish Model Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Fish Model Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Model Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Fish Model Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Fish Model Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Model Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Fish Model Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Fish Model Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Fish Model Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Fish Model Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Fish Model Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Fish Model Response 400 Trace Id 5
          description: Fish Model Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Fish Model Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Fish Model Response 401 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Fish Model Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Fish Model Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Fish Model Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Fish Model Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Fish Model Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Fish Model Response 401 Trace Id 3
          description: Fish Model Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Fish Model Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Fish Model Response 403 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 403 Trace Id
          description: Fish Model Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Fish Model Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Fish Model Response 404 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 404 Trace Id
          description: Fish Model Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Fish Model Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Fish Model Response 429 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 429 Trace Id
          description: Fish Model Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Fish Model Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Fish Model Response 500 Error Message
                      trace_id:
                        type: string
                        description: Fish Model Response 500 Trace Id
          description: Fish Model Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````